server:
  port: 10060

spring:
  application:
    name: env-gateway
  cloud:
    gateway:
      enabled: true
      routes:
        - id: admin
          uri: http://127.0.0.1:10061
          predicates:
            - Path=/admin/**
          filters:
            - StripPrefix=1
        - id: video
          uri: http://127.0.0.1:10062
          predicates:
            - Path=/video/**
          filters:
            - StripPrefix=1
        - id: manage
          uri: http://127.0.0.1:10063
          predicates:
            - Path=/manage/**
          filters:
            - StripPrefix=1
        - id: produce
          #映射青山牧场本地化服务器
          uri: http://39.105.160.25:10064
          predicates:
            - Path=/produce/**
          filters:
            - StripPrefix=1

logging:
  level:
    org.springframework.cloud.gateway: debug  # Gateway调试模式


